Subject: [dhcwg] [Errata Held for Document Update] RFC8415 (6269)

From: RFC Errata System <[email-masked]>
Date: Thu, 28 Jan 2021 02:02:48 -0800 (PST)

The following errata report has been held for document update 
for RFC8415, "Dynamic Host Configuration Protocol for IPv6 (DHCPv6)". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6269

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Felix Hamme <[email-masked]>
Date Reported: 2020-08-30
Held by: Eric Vyncke (IESG)

Section: GLOBAL

Original Text
-------------
section 16:
"A server MUST discard any Solicit, Confirm, Rebind, or Information-request messages it receives with a Layer 3 unicast destination address."

section 18.2:
"If the client has a source address of sufficient scope that can be used by the server as a return address and the client has received a Server Unicast option (see Section 21.12) from the server, the client SHOULD unicast any Request, Renew, Release, and Decline messages to the server."

Appendix B does not permit a Server Unicast option in a Reconfigure message.

Corrected Text
--------------
section 16:
"A server MUST discard any Solicit, Confirm, or Rebind messages it receives with a Layer 3 unicast destination address."

section 18.2:
"If the client has a source address of sufficient scope that can be used by the server as a return address and the client has received a Server Unicast option (see Section 21.12) from the server, the client SHOULD unicast any Request, Renew, Release, Decline, and Information-request messages to the server."

Appendix B permits a Server Unicast option in a Reconfigure message.

Notes
-----
Section 18.4 allows transmission of Information-request messages with a unicast destination address, if the client received a message with Server Unicast option. (See also https://mailarchive.ietf.org/arch/msg/dhcwg/x80cmfTN8fpRViiN_RHNXes-zVg/)

-- Verifier note --
After discussions inside the DHC WG (https://mailarchive.ietf.org/arch/msg/dhcwg/oNqBzT7CSOtoV7kQNLkJfSY_73E/), it appears that there is indeed an issue but as a RFC 8415-bis is probably coming and as the errata does not seem to be a couple of sentences to add/modify,  I am selecting 'hold for document update'

--------------------------------------
RFC8415 (draft-ietf-dhc-rfc3315bis-13)
--------------------------------------
Title               : Dynamic Host Configuration Protocol for IPv6 (DHCPv6)
Publication Date    : November 2018
Author(s)           : T. Mrugalski, M. Siodelski, B. Volz, A. Yourtchenko, M. Richardson, S. Jiang, T. Lemon, T. Winters
Category            : PROPOSED STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG